Loading...
Searching...
No Matches
CxxTest::TestRunner::WorldGuard Class Reference

## Public Member Functions

| WorldGuard ()
Public Member Functions inherited from CxxTest::TestRunner::StateGuard
| StateGuard ()
| ~StateGuard ()

## Detailed Description

Definition at line 105 of file TestRunner.h.

## Constructor & Destructor Documentation

## WorldGuard()

CxxTest::TestRunner::WorldGuard::WorldGuard | ( |  | ) |

inline

Definition at line 108 of file TestRunner.h.

: StateGuard()
{
#ifdef _CXXTEST_HAVE_EH
setAbortTestOnFail( CXXTEST_DEFAULT_ABORT );
#endif // _CXXTEST_HAVE_EH
setMaxDumpSize( CXXTEST_MAX_DUMP_SIZE );
}
CXXTEST_MAX_DUMP_SIZE
#define CXXTEST_MAX_DUMP_SIZE
Definition Flags.h:52
CXXTEST_DEFAULT_ABORT
#define CXXTEST_DEFAULT_ABORT
Definition Flags.h:60
CxxTest::TestRunner::StateGuard::StateGuard
StateGuard()
Definition TestRunner.h:88
CxxTest::setMaxDumpSize
void setMaxDumpSize(unsigned value)
Definition TestSuite.cpp:48
CxxTest::setAbortTestOnFail
void setAbortTestOnFail(bool value)
Definition TestSuite.cpp:25

The documentation for this class was generated from the following file:

- libpolys/tests/cxxtest/TestRunner.h